Groovy Documentation

## org.codehaus.groovy.util
[Java] Class DoubleKeyHashMap

    java.lang.Object
      org.codehaus.groovy.util.ComplexKeyHashMap
          org.codehaus.groovy.util.DoubleKeyHashMap

    public class DoubleKeyHashMap
    extends ComplexKeyHashMap

Nested Class Summary
`static class` | `DoubleKeyHashMap.Entry`

Field Summary

Fields inherited from class ComplexKeyHashMap
DEFAULT_CAPACITY, MAXIMUM_CAPACITY, MINIMUM_CAPACITY, size, table, threshold

Method Summary
`boolean` | `checkEquals(Entry e, java.lang.Object key1, java.lang.Object key2)`
`DoubleKeyHashMap.Entry` | `createEntry()`
`java.lang.Object` | `get(java.lang.Object key1, java.lang.Object key2)`
`DoubleKeyHashMap.Entry` | `getOrPut(java.lang.Object key1, java.lang.Object key2)`
`Entry` | `remove(java.lang.Object key1, java.lang.Object key2)`

Methods inherited from class ComplexKeyHashMap
ComplexKeyHashMap, ComplexKeyHashMap, ComplexKeyHashMap, clear, getEntrySetIterator, getTable, hash, init, isEmpty, resize, size

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### checkEquals

    public boolean checkEquals(Entry e, java.lang.Object key1, java.lang.Object key2)

### createEntry

    public DoubleKeyHashMap.Entry createEntry()

### get

    public final java.lang.Object get(java.lang.Object key1, java.lang.Object key2)

### getOrPut

    public DoubleKeyHashMap.Entry getOrPut(java.lang.Object key1, java.lang.Object key2)

### remove

    public final Entry remove(java.lang.Object key1, java.lang.Object key2)

Groovy Documentation